package com.jty.wsxt.domain.model.auth.history;

import com.jty.wsxt.domain.shared.ValueObject;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 * ManagerId
 *
 * @author Manjiajie
 * @since 2019-6-12 16:16:02
 */
@Data
@Embeddable
@AllArgsConstructor
@NoArgsConstructor
public class ManagerId implements ValueObject<ManagerId> {

    @Column(name="manager_id")
    private Integer id;

    @Override
    public boolean sameValueAs(ManagerId other) {
        return false;
    }
}
