package com.jty.wsxt.domain.model.subject;

import com.jty.wsxt.domain.DomainRegistry;
import com.jty.wsxt.domain.shared.IdentifiedEntityObject;
import lombok.Data;

import javax.persistence.Entity;

/**
 * Subject
 *
 * @author Manjiajie
 * @since 2019-6-21 10:22:58
 */
@Data
@Entity
public class Subject extends IdentifiedEntityObject<Subject> {

    private String name;

    private Boolean used;

    @Override
    public boolean sameIdentityAs(Subject other) {
        return false;
    }

    public void save(){
        DomainRegistry.subjectRepository().save(this);
    }
}
