package com.jty.wsxt.infrastructure.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

@ConfigurationProperties(prefix = "jty.security")
@Data
public class SecurityProperties {

    private ValidateCodeProperties code = new ValidateCodeProperties();

    private String loginPage="/login.html";

    private boolean schoolEnable=false;

    private int failCount=2;
}
